package commonutil

const (
	METHOD_POST   = "POST"
	METHOD_GET    = "GET"
	METHOD_PUT    = "PUT"
	METHOD_DELETE = "DELETE"
	METHOD_IGNORE = ""
)

const (
	PARAM_ALL     = 0
	PARAM_INT     = 10
	PARAM_INT8    = 11
	PARAM_INT16   = 12
	PARAM_INT32   = 13
	PARAM_INT64   = 14
	PARAM_UINT    = 30
	PARAM_UINT8   = 31
	PARAM_UINT16  = 32
	PARAM_UINT32  = 33
	PARAM_UINT64  = 34
	PARAM_FLOAT32 = 50
	PARAM_FLOAT64 = 51
	PARAM_BOOL    = 70
	PARAM_STRING  = 90
	PARMA_BYTE    = 110

	PARAM_UUID  = 1000
	PARAM_EMAIL = 1001
	PARAM_PHONE = 1002
	PARAM_IP    = 1003

	PARAM_STRING_SECURITY = 10000
)
